{ pkgs, inputs, config, ... }:
let
  ifTheyExist = groups: builtins.filter (group: builtins.hasAttr group config.users.groups) groups;
  uid = 1001;
in
{
  users.groups.don.gid = uid;
  users.users.don = {
    description = "Don Arnold";
    extraGroups = [
      "audio"
      "video"
      "wheel"
    ] ++ ifTheyExist [
      "adbusers"
      "networkmanager"
      "vboxsf"
      "vboxusers"
    ];
    group = "don";
    home = "/home/don";
    isNormalUser = true;
    openssh.authorizedKeys.keys = [
      (builtins.readFile ../nipsy/keys/id_arrakis.pub)
      #(builtins.readFile ./keys/id_other.pub)
    ];

    packages = [ pkgs.home-manager ];
    #shell = pkgs.zsh;
    uid = uid;
  };
}
